### Hierarchy

- Node
  - Element

## Index

### Constructors

- constructor

### Accessors

- children
- id
- innerHTML
- outerHTML
- textContent

### Methods

- _withParent
- appendChild
- getAttribute
- querySelector
- querySelectorAll
- replaceWith
- setAttribute

## Constructors

### constructor

- new Element(dom: any): Element

- Overrides Node.constructor

  - Defined in document.ts:92

  #### Parameters

  - ##### dom: any

  #### Returns Element

## Accessors

### children

- get children(): any
- set children(children: any): void

- Inherited from Node.children

  - Defined in document.ts:50

  #### Returns any

- Inherited from Node.children

  - Defined in document.ts:46

  #### Parameters

  - ##### children: any

  #### Returns void

### id

- get id(): any

- - Defined in document.ts:97

  #### Returns any

### innerHTML

- get innerHTML(): any

- - Defined in document.ts:105

  #### Returns any

### outerHTML

- get outerHTML(): any

- - Defined in document.ts:108

  #### Returns any

### textContent

- get textContent(): any

- - Defined in document.ts:101

  #### Returns any

## Methods

### _withParent

- _withParent(node: any): any

- Inherited from Node._withParent

  - Defined in document.ts:41

  #### Parameters

  - ##### node: any

  #### Returns any

### appendChild

- appendChild(html: any): any

- Inherited from Node.appendChild

  - Defined in document.ts:54

  #### Parameters

  - ##### html: any

  #### Returns any

### getAttribute

- getAttribute(name: any): any

- - Defined in document.ts:120

  #### Parameters

  - ##### name: any

  #### Returns any

### querySelector

- querySelector(selector: any): Element

- Inherited from Node.querySelector

  - Defined in document.ts:29

  #### Parameters

  - ##### selector: any

  #### Returns Element

### querySelectorAll

- querySelectorAll(selector: any): any

- Inherited from Node.querySelectorAll

  - Defined in document.ts:36

  #### Parameters

  - ##### selector: any

  #### Returns any

### replaceWith

- replaceWith(html: any): void

- - Defined in document.ts:112

  #### Parameters

  - ##### html: any

  #### Returns void

### setAttribute

- setAttribute(name: any, value: any): void

- - Defined in document.ts:124

  #### Parameters

  - ##### name: any

  - ##### value: any

  #### Returns void

Generated using TypeDoc